Page MenuHomePhabricator

Fixes FF. slide out, area name, show posts on area
ClosedPublic

Authored by WyldBot on Jan 10 2019, 3:16 AM.

Details

Summary

Partially rewrites how we handle areas in general, removed AreaList model
Client now defaults to first area received from API as the first area to show to the user
Updated copyright
Fixes large ass margin on desktop
Fixes T300, T294, T301, T305 T303, and T299

Test Plan

Check out the fixes and updated UI

Diff Detail

Repository
rWCL Web Client
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

WyldBot created this revision.Jan 10 2019, 3:16 AM
Harbormaster completed remote builds in B537: Diff 724.
WyldBot edited the summary of this revision. (Show Details)
WyldBot edited the summary of this revision. (Show Details)Jan 10 2019, 3:19 AM
WyldBot updated this revision to Diff 725.Jan 10 2019, 3:21 AM
  • console.log
Harbormaster completed remote builds in B538: Diff 725.
CLOVIS added inline comments.Jan 10 2019, 6:50 AM
src/app/drafts/drafts.component.ts
112

This looks similar to createPost.components.js:46

src/app/home/home.component.ts
186

This looks similar to the two others too

src/app/notificationArchive/notificationArchive.component.ts
114

This looks similar too

src/app/userPosts/userPosts.component.ts
114

This too

WyldBot marked 4 inline comments as done.Jan 10 2019, 2:14 PM
WyldBot added inline comments.
src/app/userPosts/userPosts.component.ts
114

All of these calls have to be made at a component level to get the shared data

WyldBot updated this revision to Diff 728.Jan 11 2019, 4:13 PM
WyldBot marked an inline comment as done.
  • Change icon
CLOVIS added inline comments.Jan 11 2019, 9:08 PM
src/app/userPosts/userPosts.component.ts
114

Sorry I'm not very knowledgeable about JS... Can you send me a link to the docs or to a SO question so I understand the problem better?

CLOVIS accepted this revision.Jan 12 2019, 11:17 AM

Well if you're confident that's the better way, I don't see anything else.

WyldBot updated this revision to Diff 734.Jan 15 2019, 6:45 PM
  • console.log
  • Change icon
  • More bug fixes
WyldBot updated this revision to Diff 735.Jan 15 2019, 9:03 PM
  • Markdown fix
Harbormaster completed remote builds in B544: Diff 735.
WyldBot updated this revision to Diff 736.Jan 15 2019, 9:03 PM
  • Markdown fix
Harbormaster completed remote builds in B545: Diff 736.
WyldBot edited the summary of this revision. (Show Details)Jan 15 2019, 9:04 PM
WyldBot removed 1 blocking reviewer(s): Info-Screen.Jan 15 2019, 9:36 PM
CLOVIS accepted this revision.Jan 17 2019, 4:15 PM
This revision is now accepted and ready to land.Jan 17 2019, 4:15 PM
This revision was automatically updated to reflect the committed changes.